
#ifndef USBFUN_H_INCLUDED
#define USBFUN_H_INCLUDED

//------------------------ Duga lista plikw potrzebnych do dziaania USB
#include <stdio.h>
#include <iostream>
using namespace std;
#include <stdlib.h>
#include <string.h>
#include <stdarg.h>
#include <errno.h>
#ifndef __MINGW32_VERSION
#include <syslog.h>
#include <sys/errno.h>
#endif
#include <fcntl.h>
#include <sys/stat.h>
#include <signal.h>
#include <time.h>
#include <math.h>
#include <usb.h>    
#define USBDEV_SHARED_VENDOR    0x16C0  
#define USBDEV_SHARED_PRODUCT   0x05dc  
#define USBDEV_VENDOR   0x16C0  
#define USBDEV_PRODUCT  0x05dc  
#ifdef __MINGW32_VERSION
#define sleep(x)    _sleep(x)
#endif

#define BUF_LEN 12

#include <wx/string.h>

#define USB_ERROR_NOTFOUND  1
#define USB_ERROR_ACCESS    2
#define USB_ERROR_IO        3

//--------------------------- Definicje instrukcji wysyanych do uC

#define INS_TEST 0			//test poczenia
#define INS_USTAW_WYJ 1		//bezporednie ustawienie wyj
#define	INS_ODCZYT_SENS 2	//odczyt z czujnikw (sensorw)
#define	INS_TRYB 3			// 0 - cigy obrt; 1 - obrt o okrelony kt
#define	INS_STEROWANIE 4	// 0 - penokrokowy; 1 - pkrokowy; 2 - falowy						
#define INS_KIERUNEK 5		//kierunek obrotu
#define INS_OPOZ 6			//prdko
#define	INS_KROKI 7			//ilo krokw na peen obrt
#define	INS_KAT 8			//kt obrotu
#define INS_SERVO 9			//ustawia serwo

//--------------------------- Globalny wskaznik na urzdzenie USB
extern usb_dev_handle      *handle;

//--------------------------- Funkcje 
static int  usbGetStringAscii(usb_dev_handle *dev, int index, int langid, char *buf, int buflen);
int usbOpenDevice(usb_dev_handle **device, int vendor, char *vendorName, int product, char *productName);
int test_polaczenia (int ile, usb_dev_handle *handle);
int wyslij_instrukcje (int instrukcja, int dane, usb_dev_handle *handle);

#endif //USBFUN_H_INCLUDED
